// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wFileBrowserView:
//   Displays the file browser page

#ifndef p4wFileBrowserView_H
#define p4wFileBrowserView_H


#include "p4wView.h"
#include "p4wAllCommands.h"


//
// p4wFileBrowserView class

class p4wFileBrowserView : public p4wView {

public:
	p4wFileBrowserView( p4wRequest & Request, AllCommands cmd );
	virtual			~p4wFileBrowserView();

	//
	// Control item render functions.
	
	virtual	void	RenderContent();
	virtual int 	RenderUpdateOK();
	virtual void	RenderMenu();

	void SetRC(int rc) { fRC = rc; };

private:
    const char * GetDefaultEditor( Enviro & enviro );

    void DoLaunchEditor( StrBuf & file );
    
	StrBuf fClientRoot;
	AllCommands		fCommand;
	int			fSentCmd;
	int			fRC;
};

#endif // p4wFileBrowserView_H

